Page MenuHomePhabricator

Unable to mark pages for translation in Meta
Closed, ResolvedPublic

Description

Multiple reports that people are unable to mark pages for translation in metawiki.

Little investigation in LogStash reveals that TranslationsUpdateJob relied on the ability to serialize PHP objects, but a change in JobQueue causes them be returned as arrays and that causes fatal errors.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2018, 8:07 PM
Nikerabbit triaged this task as Unbreak Now! priority.Apr 12 2018, 8:09 PM
Nikerabbit added a subscriber: Pchelolo.

@Pchelolo I'm on leave until next Tuesday. Can this change in JobQueue be reverted until we have had time to update Translate?

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptApr 12 2018, 8:09 PM

@Nikerabbit I've created a patch to revert it, sorry for interrupting your leave, but the link you've linked from the task description doesn't work.

And a question, can we leave the new queue processing (and failing) the job for now?

Change 425889 had a related patch set uploaded (by Nemo bis; owner: Ppchelko):
[operations/mediawiki-config@master] Revert switching the TranslateUpdateJob to kafka.

https://gerrit.wikimedia.org/r/425889

Change 425889 had a related patch set uploaded (by Legoktm; owner: Ppchelko):
[operations/mediawiki-config@master] Revert switching the TranslateUpdateJob to kafka.

https://gerrit.wikimedia.org/r/425889

The link was just supposed to be a snapshot with search "wiki:metawiki AND TranslatablePage".

I don't understand your question? Do you mean old and new jobqueue running in parallel?

Nikerabbit updated the task description. (Show Details)Apr 12 2018, 8:25 PM

I don't understand your question? Do you mean old and new jobqueue running in parallel?

Ye, that was the idea, but now thinking again it might cause some unexpected results, so I'll remove it from the new queue.

Change 425889 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert switching the TranslateUpdateJob to kafka.

https://gerrit.wikimedia.org/r/425889

Change 425895 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/jobqueue-deploy@master] Revert switching TranslationsUpdateJob

https://gerrit.wikimedia.org/r/425895

Mentioned in SAL (#wikimedia-operations) [2018-04-12T20:32:32Z] <mobrovac@tin> Synchronized wmf-config/jobqueue.php: Switch TranslateUpdateJob back to the Redis-based queue as it is using PHP serialisation - T192107 (duration: 01m 00s)

Change 425895 merged by Ppchelko:
[mediawiki/services/change-propagation/jobqueue-deploy@master] Revert switching TranslationsUpdateJob

https://gerrit.wikimedia.org/r/425895

Mentioned in SAL (#wikimedia-operations) [2018-04-12T20:33:49Z] <ppchelko@tin> Started deploy [cpjobqueue/deploy@bd772eb]: Revert switching TranslationUpdateJob T192107

Mentioned in SAL (#wikimedia-operations) [2018-04-12T20:34:28Z] <ppchelko@tin> Finished deploy [cpjobqueue/deploy@bd772eb]: Revert switching TranslationUpdateJob T192107 (duration: 00m 39s)

mobrovac lowered the priority of this task from Unbreak Now! to High.Apr 12 2018, 8:36 PM
mobrovac added a subscriber: mobrovac.

The imminent problem has been dealt with by switching the job back onto the Redis-based queue. Let's keep the ticket open until the TranslateUpdateJob removes PHP serialisation and ports the job to support JSON-serialised parameters.

Restricted Application added a project: Analytics. · View Herald TranscriptApr 12 2018, 8:36 PM
fdans moved this task from Incoming to Radar on the Analytics board.Apr 16 2018, 4:04 PM

I think it's time to close this one. Please reopen if that breaks again during the transition process.

Pchelolo closed this task as Resolved.May 8 2018, 9:46 PM